curl --request POST \
--url 'https://api.stateset.com/api/v1/purchase-orders' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"currency": null,
"discount_amount": null,
"expected_date": null,
"items": [
{
"discount_amount": null,
"expected_date": null,
"name": "string",
"notes": null,
"product_id": null,
"quantity": "string",
"sku": "string",
"supplier_sku": null,
"tax_amount": null,
"unit_cost": "string",
"unit_of_measure": null
}
],
"notes": null,
"order_date": null,
"payment_terms": null,
"ship_to_address": null,
"ship_to_city": null,
"ship_to_country": null,
"ship_to_postal_code": null,
"ship_to_state": null,
"shipping_cost": null,
"supplier_id": "string",
"supplier_notes": null,
"tax_amount": null
}'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
Create a purchase orders
Create a purchase orders
POST
/
api
/
v1
/
purchase-orders
curl --request POST \
--url 'https://api.stateset.com/api/v1/purchase-orders' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"currency": null,
"discount_amount": null,
"expected_date": null,
"items": [
{
"discount_amount": null,
"expected_date": null,
"name": "string",
"notes": null,
"product_id": null,
"quantity": "string",
"sku": "string",
"supplier_sku": null,
"tax_amount": null,
"unit_cost": "string",
"unit_of_measure": null
}
],
"notes": null,
"order_date": null,
"payment_terms": null,
"ship_to_address": null,
"ship_to_city": null,
"ship_to_country": null,
"ship_to_postal_code": null,
"ship_to_state": null,
"shipping_cost": null,
"supplier_id": "string",
"supplier_notes": null,
"tax_amount": null
}'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
Request body
CreatePurchaseOrderRequest
string,null
ISO 4217 currency code.
string,null
Decimal discount amount as a string.
string,null
RFC 3339 timestamp.
CreatePurchaseOrderItemRequest[]
required
string,null
string,null
RFC 3339 timestamp (defaults to now).
string,null
One of
due_on_receipt, net_15, net_30, net_45, net_60, net_90,
2_10_net_30, prepaid, cash_on_delivery, letter_of_credit.string,null
string,null
string,null
string,null
string,null
string,null
Decimal shipping cost as a string.
string
required
string,null
string,null
Decimal tax amount as a string.
Responses
PurchaseOrderResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/purchase-orders' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"currency": null,
"discount_amount": null,
"expected_date": null,
"items": [
{
"discount_amount": null,
"expected_date": null,
"name": "string",
"notes": null,
"product_id": null,
"quantity": "string",
"sku": "string",
"supplier_sku": null,
"tax_amount": null,
"unit_cost": "string",
"unit_of_measure": null
}
],
"notes": null,
"order_date": null,
"payment_terms": null,
"ship_to_address": null,
"ship_to_city": null,
"ship_to_country": null,
"ship_to_postal_code": null,
"ship_to_state": null,
"shipping_cost": null,
"supplier_id": "string",
"supplier_notes": null,
"tax_amount": null
}'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
โI